#include "HitRecoveringActorFactory.h"

	
HitRecoveringActorFactory::HitRecoveringActorFactory( 
	Console* console,
	SingleActionActorFactory* singleActionActorFactory
	) {
	
	m_console = console;
	m_singleActionActorFactory = singleActionActorFactory;
}

HitRecoveringActorFactory::~HitRecoveringActorFactory() {
}
	
SingleActionActor* HitRecoveringActorFactory::Create( 
	Animator* animator
	) {

	return m_singleActionActorFactory->Create( animator, PHASE_HIT_RECOVERY );
}
