#include "BrooklynBridge.h"
#include "data/bridge.h"

BrooklynBridge::BrooklynBridge( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)bridgeMap );
	Initialize(
		(u32*) bridgeSharedTiles,
		sizeof( bridgeSharedTiles ),
		(u16*) bridgeSharedPal,
		sizeof( bridgeSharedPal )
		);
}

BrooklynBridge::~BrooklynBridge() {
}