#include "ChinaBoss.h"
#include "data/chineseboss.h"

ChinaBoss::ChinaBoss( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)chinesebossMap );
	Initialize(
		(u32*) chinesebossSharedTiles,
		sizeof( chinesebossSharedTiles ),
		(u16*) chinesebossSharedPal,
		sizeof( chinesebossSharedPal )
		);
}

ChinaBoss::~ChinaBoss() {
}