#include "CircusParkCircus.h"
#include "data/cp1.h"

CircusParkCircus::CircusParkCircus( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)cp1Map );
	Initialize(
		(u32*) cp1SharedTiles,
		sizeof( cp1SharedTiles ),
		(u16*) cp1SharedPal,
		sizeof( cp1SharedPal )
		);
}

CircusParkCircus::~CircusParkCircus() {
}