#include "ScotlandStage.h"
#include "data/scotland.h"

ScotlandStage::ScotlandStage( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)scotlandMap );
	Initialize(
		(u32*) scotlandSharedTiles,
		sizeof( scotlandSharedTiles ),
		(u16*) scotlandSharedPal,
		sizeof( scotlandSharedPal )
		);
}

ScotlandStage::~ScotlandStage() {
}