#ifndef BRITAIN_CONTROLLER_H
#define BRITAIN_CONTROLLER_H

#include "Controller.h"
#include "soundbank.h"

/*
	Britain chunk
	
	- (transition) Scottish Highlands intro
	- (game level) Scottish Highlands
	- (transition) Windsor Castle intro
	- (game level) Windsor Castle
*/
class BritainController : public Controller {

	public:
	BritainController(
		AudioPlayer* audioPlayer,
		LevelFactory* levelFactory,
		FrameRunnerResult initialConditions
		);
	virtual ~BritainController();
	
	FrameRunnerResult Run();
};

#endif
