#ifndef CORE_CONTROLLER_H
#define CORE_CONTROLLER_H

#include "Controller.h"
#include "soundbank.h"

/*
	Core chunk
	
	- (transition) Core intro
	- (game level) Core level
	- (transition) Conclusion
*/
class CoreController : public Controller {

	public:
	CoreController(
		AudioPlayer* audioPlayer,
		LevelFactory* levelFactory,
		FrameRunnerResult initialConditions
		);
	virtual ~CoreController();
	
	FrameRunnerResult Run();
};

#endif
