#ifndef MENU_CONTROLLER_H
#define MENU_CONTROLLER_H

#include "Controller.h"
#include "soundbank.h"

/*
	Main menu
	
	- (transition) Menu
	
	Note: This controller also outputs game tips to the console
*/
class MenuController : public Controller {
	
	private:
	
	Console* m_console;
	InitialPlayerStats m_initialPlayerStats;
	
	void PrintTips();
	
	public:
	
	MenuController(
		Console* console,
		AudioPlayer* audioPlayer,
		LevelFactory* levelFactory,
		FrameRunnerResult initialConditions
		);
	virtual ~MenuController();
	
	FrameRunnerResult Run();
};

#endif
