#ifndef USA_CONTROLLER_H
#define USA_CONTROLLER_H

#include "Controller.h"
#include "soundbank.h"

/*
	Usa chunk

	- (transition) Brooklyn Bridge intro
	- (game level) Brooklyn Bridge
	- (transition) Statue of Liberty intro
	- (game level) Statue of Liberty
	- (transition) USA boss confession
*/
class UsaController : public Controller {

	public:
	UsaController(
		AudioPlayer* audioPlayer,
		LevelFactory* levelFactory,
		FrameRunnerResult initialConditions
		);
	virtual ~UsaController();
	
	FrameRunnerResult Run();
};

#endif
