#include <nds.h>
#include <time.h>
#include "CoreUtils.h"

CoreUtils::CoreUtils() {
	srand( time( NULL ) );
}

CoreUtils::~CoreUtils() {
}

void CoreUtils::Sleep( u16 milliseconds ) {
	
	float framePerMilliseconds = 60.0f / 1000.0f;
	u32 framesToSleep = (u32) ( framePerMilliseconds * milliseconds );
	
	for( u32 i = 0; i < framesToSleep; i++ ) {
		swiWaitForVBlank();
	}
}

u16 CoreUtils::Random() {
	return rand();
}

u16 CoreUtils::Random( u16 bound ) {
	return rand() % bound;
}