#include <nds.h>
#include "FrameRunner.h"

FrameRunner::FrameRunner() {
	m_globalFrameCounter = 0;
}


FrameRunner::~FrameRunner() {
}

u32 FrameRunner::GetGlobalFrameCounter() {
	return m_globalFrameCounter;
}

void FrameRunner::Start() {
	
	while( true ) {
		if( this->IsDone() ) {
			return;
		}
		this->Pre();
	
		if( this->IsDone() ) {
			return;
		}
		this->Frame();
		
		if( this->IsDone() ) {
			return;
		}
		
		oamUpdate( &oamMain );
		oamUpdate( &oamSub );
		swiWaitForVBlank();
		
		if( this->IsDone() ) {
			return;
		}
		this->Post();
		
		m_globalFrameCounter++;
	}
}
