#ifndef SUBSCREENSPRITEMANAGER_H
#define SUBSCREENSPRITEMANAGER_H

class OAMSprite;

#include <nds.h>
#include "OAMSprite.h"
#include "Console.h"

/*
	This class is responsible for creating and managing sub screen OAM sprites
*/
class SubScreenSpriteManager {

	private:
	
	// sprites share a 256 colour palette
	static const u8 MAX_SPRITES = 32;
	
	Console* m_console;
	SpritePool* m_spritePool;
	
	public:
	
    SubScreenSpriteManager( Console* console );
	
	virtual ~SubScreenSpriteManager();
	
	OAMSprite* AllocateSprite();
}; 

 
#endif