#ifndef __CORE__H_
#define __CORE__H_

/*
	A handy include file which aggregates functionality
*/

#include "AudioPlayer.h"
#include "Console.h"
#include "CoreUtils.h"
#include "CustomFont.h"
#include "DataTypes.h"
#include "Event.h"
#include "FrameRunner.h"
#include "FuncBool.h"
#include "InputManager.h"
#include "List.h"
#include "MainScreenOAMSprite.h"
#include "MainScreenSpriteManager.h"
#include "OAMSprite.h"
#include "PrioritizingSpritePool.h"
#include "ScrollingBackground.h"
#include "Song.h"
#include "SoundEffect.h"
#include "SpriteManager.h"
#include "SpritePool.h"
#include "SubScreenOAMSprite.h"
#include "SubScreenSpriteManager.h"
#include "SystemContext.h"
#include "TrueFuncBool.h"

#endif