#ifndef __FIGHTER_TYPES_H
#define __FIGHTER_TYPES_H

/*
	I've used Romanian words to describe some of these guys
	because I felt they described the idea behind each fighter type
	better than the similar English words in my vocabulary.
*/

enum FighterTypes {
	// Someone who is "smecher" is a mixture of street smart,
	// influential, small-time tough guy
	SMECHER_FIGHTER_WEAK_FLANKING,
	SMECHER_FIGHTER_STRONG,
	SMECHER_FIGHTER_WEAK,
	SMECHER_FIGHTER_STRONG_FLANKING,
	SMECHER_FIGHTER_BOSS,
	
	// A "cutitar" is someone who relies on a knife to deal with conflict
	CUTITAR_FIGHTER,
	CUTITAR_FIGHTER_BOSS,
	
	// Someone who is "mascat" simply means he is wearing a mask
	MASCAT_FIGHTER_WEAK_FLANKING,
	MASCAT_FIGHTER_STRONG_CHARGING,
	MASCAT_FIGHTER_BOSS,
	
	MEISS_FIGHTER_CHARGING,
	MEISS_FIGHTER_NONCHARGING,
	MEISS_FIGHTER_BOSS
};

#endif