#ifndef __CUTITAR_FRAMEDESCRIPTOR_H
#define __CUTITAR_FRAMEDESCRIPTOR_H

#include "../core/core.h"
#include "FrameDescriptor.h"
#include "Phases.h"

class CutitarFrameDescriptor : public FrameDescriptor {

	private:
	
	static const u8 PHASE_COUNT = ENEMY_PHASE_COUNT;
	
	u8 m_phaseLengths[ PHASE_COUNT ];
	u8 m_phaseVideoFramePerAnimationFrame[ PHASE_COUNT ];
	
	Console* m_console;

	public:
	
	CutitarFrameDescriptor( Console* console );
	virtual ~CutitarFrameDescriptor();
	
	u8 GetPhaseCount();
	u8 GetPhaseFramesCount( u8 phase );
	u8 GetPhaseVideoFramePerAnimationFrame( u8 phase );
};

#endif