#ifndef __REVERSED_GAUGE__H
#define __REVERSED_GAUGE__H

#include "../core/core.h"
#include "Gauge.h"

/*
	Right-sided gauge
*/
class ReversedGauge : public Gauge {

	private:
	
	SpriteManager* m_spriteManager;
	OAMSprite* m_primary;
	Coords_F m_primaryPosition;
	OAMSprite* m_secondary;
	Coords_F m_secondaryPosition;

	OAMSprite* m_primaryFrame;
	OAMSprite* m_secondaryFrame;

	public:
	
	ReversedGauge( 
		Coords_F position,
		SpriteManager* spriteManager
		);
	virtual ~ReversedGauge();
	
	void SetValue( 
		s16 current,
		s16 outOf
		);
	void Hide();
	
	void Render();
};

#endif