#ifndef __SIMPLE_GAUGE__H
#define __SIMPLE_GAUGE__H

#include "../core/core.h"
#include "Gauge.h"

/*
	Left-sided bar
*/
class SimpleGauge : public Gauge {

	private:
	
	SpriteManager* m_spriteManager;
	OAMSprite* m_primary;
	Coords_F m_primaryPosition;
	OAMSprite* m_secondary;
	Coords_F m_secondaryPosition;

	OAMSprite* m_primaryFrame;
	OAMSprite* m_secondaryFrame;
	
	void Show();
	
	public:
	
	SimpleGauge( 
		Coords_F position,
		SpriteManager* spriteManager
		);
	virtual ~SimpleGauge();
	
	void SetValue( 
		s16 current,
		s16 outOf
		);
	void Hide();
	void Render();
};

#endif