#include "tests/TestsRunner.h"
#include "entrypoints/entrypoints.h"

int main( void ) {

	#ifdef TESTS
		// Tests build
		TestsRunner* testsRunner = new TestsRunner(); 
		testsRunner->Start();
		delete testsRunner;
	#else
		// Release build
		EntryPoint* entryPoint = new EntryPoint(); 
		entryPoint->Run();
		delete entryPoint;
	#endif
	
	
	// if we return by accident, error messages may not be flushed
	// to the screen, so make sure we never return
	while( true ) { }
	
	return 0;
}
