#ifndef __MOVEHINT_FACTORY_H
#define __MOVEHINT_FACTORY_H

#include <nds.h>
#include "../core/core.h"
#include "../fighters/fighters.h"
#include "MoveHint.h"

/*
	Makes move hints
*/
class MoveHintFactory {
	
	private:
	
	SpriteManager* m_spriteManager;
	
	public:
	
	MoveHintFactory(
		SpriteManager* spriteManager
		);
	virtual ~MoveHintFactory();
	
	MoveHint* Create( 
		Coords_F position,
		Fighter* fighter
		);
};

#endif