#include "MugShotFactory.h"

MugShotFactory::MugShotFactory( 
	SpriteManager* spriteManager
	) {
	m_spriteManager = spriteManager;
}

MugShotFactory::~MugShotFactory() {
}

MugShot* MugShotFactory::Create( Coords_F position ) {
	return new MugShot( 
		position, 
		m_spriteManager 
		);
}
