#ifndef __CUTITAR_SOUNDBOARD_H
#define __CUTITAR_SOUNDBOARD_H

#include <nds.h>
#include "../core/core.h"
#include "SoundHolder.h"
#include "Soundboard.h"

/*
	Sounds for the cutitar
*/
class CutitarSoundboard : public Soundboard {

	private:
	
	static const u8 NUM_HITLAND = 2;
	SoundEffect* m_hitLand[ NUM_HITLAND ];

	public:
	
	CutitarSoundboard( 
		CoreUtils* coreUtils,
		SoundHolder* soundHolder
		);
	virtual ~CutitarSoundboard();
	
	void SingleHitLanded();
	void WasThrownDown();
	void StartCharging();
};

#endif