#include "MascatSoundboard.h"
#include "soundbank.h"

MascatSoundboard::MascatSoundboard( 
	CoreUtils* coreUtils,
	SoundHolder* soundHolder
	) : Soundboard( coreUtils, soundHolder ) 
	{
	
	m_hitLand[ 0 ] = m_soundHolder->GetHitLand1();
	m_hitLand[ 1 ] = m_soundHolder->GetHitLand5();
}

MascatSoundboard::~MascatSoundboard() {
}

void MascatSoundboard::SingleHitLanded() {
	PlayOne( &m_hitLand[ 0 ], NUM_HITLAND );
}

void MascatSoundboard::WasThrownDown() {
	PlayWithChance( m_soundHolder->GetThrown8(), 800 );
}
