#ifndef __MASCAT_SOUNDBOARD_H
#define __MASCAT_SOUNDBOARD_H

#include <nds.h>
#include "../core/core.h"
#include "SoundHolder.h"
#include "Soundboard.h"

/*
	Sounds for the mascat
*/
class MascatSoundboard : public Soundboard {

	private:
	
	static const u8 NUM_HITLAND = 2;
	SoundEffect* m_hitLand[ NUM_HITLAND ];

	public:
	
	MascatSoundboard( 
		CoreUtils* coreUtils,
		SoundHolder* soundHolder
		);
	virtual ~MascatSoundboard();
	
	void SingleHitLanded();
	void WasThrownDown();
};

#endif