#ifndef __MEISS_SOUNDBOARD_H
#define __MEISS_SOUNDBOARD_H

#include <nds.h>
#include "../core/core.h"
#include "SoundHolder.h"
#include "Soundboard.h"

/*
	Sounds for Meiss
*/
class MeissSoundboard : public Soundboard {

	public:
	
	MeissSoundboard( 
		CoreUtils* coreUtils,
		SoundHolder* soundHolder
		);
	virtual ~MeissSoundboard();
	
	void StartSingleHit();
	void SingleHitLanded();
	void WasThrownDown();
	void StartCharging();
};

#endif