#include "Soundboard.h"
#include "soundbank.h"

Soundboard::Soundboard( 
	CoreUtils* coreUtils,
	SoundHolder* soundHolder
	) {
	
	m_coreUtils = coreUtils;
	m_soundHolder = soundHolder;
}

Soundboard::~Soundboard() {
}

void Soundboard::StartSingleHit() {
}

void Soundboard::SingleHitLanded() {
}

void Soundboard::WasThrownDown() {
}

void Soundboard::StartCharging() {
}

void Soundboard::StartComboHit() {
}

void Soundboard::ComboHitLanded() {
}

void Soundboard::HitWoosh() {
}

void Soundboard::Mystical() {
}

void Soundboard::Heal() {
}

void Soundboard::PlayOneWithChance( 
	SoundEffect** effects,
	u16 count,
	u16 chanceOutOfThousand
	) {

	u16 rnd = m_coreUtils->Random( 1000 );
	if( rnd >= chanceOutOfThousand ) {
		return;
	}
	
	rnd = m_coreUtils->Random( count );
	effects[ rnd ]->Play();
}

void Soundboard::PlayOne( 
	SoundEffect** effects,
	u16 count
	) {
	PlayOneWithChance( effects, count, 1000 );
}

void Soundboard::PlayWithChance( 
	SoundEffect* effect,
	u16 chanceOutOfThousand
	) {
	
	u16 rnd = m_coreUtils->Random( 1000 );
	if( rnd >= chanceOutOfThousand ) {
		return;
	}
	
	effect->Play();
}
