#ifndef __UI_SOUNDBOARD_H
#define __UI_SOUNDBOARD_H

#include <nds.h>
#include "../core/core.h"
#include "SoundHolder.h"

/*
	Allows access to sound effects needed by the UI
*/
class UISoundboard {

	private:
	
	SoundHolder* m_soundHolder;
	
	public:
	
	UISoundboard( 
		SoundHolder* soundHolder
		);
	virtual ~UISoundboard();
	
	// play pause/unpause sound
	void PauseUnpause();
};

#endif