#include "BrooklynBridgeSpawnRegistry.h"

BrooklynBridgeSpawnRegistry::BrooklynBridgeSpawnRegistry(
	Console* console
	) : SpawnRegistry( console, 13 ) {
	
	this->Add( RIGHT, 60.0f, 30, SMECHER_FIGHTER_STRONG );
	this->Add( RIGHT, 100.0f, 30, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 160.0f, 30, SMECHER_FIGHTER_STRONG );
	
	this->Add( RIGHT, 60.0f, 80, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 100.0f, 80, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 120.0f, 80, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 160.0f, 80, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 60.0f, 80, MEISS_FIGHTER_NONCHARGING );
	this->Add( LEFT, 100.0f, 80, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 120.0f, 80, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 160.0f, 80, MEISS_FIGHTER_NONCHARGING );
	
	this->Add( RIGHT, 90.0f, 140, MEISS_FIGHTER_CHARGING );
	this->Add( RIGHT, 100.0f, 140, MEISS_FIGHTER_CHARGING );
}

BrooklynBridgeSpawnRegistry::~BrooklynBridgeSpawnRegistry() {
}
