#include "ScotlandSpawnRegistry.h"

ScotlandSpawnRegistry::ScotlandSpawnRegistry(
	Console* console
	) : SpawnRegistry( console, 16 ) {
	
	this->Add( RIGHT, 60.0f, 90, MASCAT_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 120.0f, 90, MASCAT_FIGHTER_WEAK_FLANKING );

	this->Add( LEFT, 90.0f, 150, MASCAT_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 100.0f, 150, MASCAT_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 60.0f, 150, MEISS_FIGHTER_CHARGING );
	this->Add( RIGHT, 80.0f, 150, SMECHER_FIGHTER_STRONG );
	this->Add( RIGHT, 100.0f, 150, SMECHER_FIGHTER_STRONG );
	this->Add( RIGHT, 120.0f, 150, MEISS_FIGHTER_NONCHARGING );
	
	this->Add( LEFT, 60.0f, 200, CUTITAR_FIGHTER );
	this->Add( LEFT, 120.0f, 200, MASCAT_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 60.0f, 200, MASCAT_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 120.0f, 200, CUTITAR_FIGHTER );
	
	this->Add( RIGHT, 60.0f, 220, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 80.0f, 220, CUTITAR_FIGHTER );
	this->Add( RIGHT, 100.0f, 220, CUTITAR_FIGHTER );
	this->Add( RIGHT, 1200.0f, 220, MEISS_FIGHTER_NONCHARGING );
}

ScotlandSpawnRegistry::~ScotlandSpawnRegistry() {
}
