#include "StatueOfLibertySpawnRegistry.h"

StatueOfLibertySpawnRegistry::StatueOfLibertySpawnRegistry(
	Console* console
	) : SpawnRegistry( console, 16 ) {
	
	this->Add( RIGHT, 90.0f, 40, MEISS_FIGHTER_CHARGING );
	this->Add( RIGHT, 100.0f, 40, SMECHER_FIGHTER_WEAK );
	this->Add( LEFT, 90.0f, 40, SMECHER_FIGHTER_WEAK );
	this->Add( LEFT, 100.0f, 40, MEISS_FIGHTER_CHARGING );
	
	this->Add( RIGHT, 60.0f, 100, MEISS_FIGHTER_CHARGING );
	this->Add( RIGHT, 90.0f, 100, MEISS_FIGHTER_CHARGING );
	this->Add( RIGHT, 120.0f, 100, MEISS_FIGHTER_CHARGING );
	
	this->Add( RIGHT, 60.0f, 160, MEISS_FIGHTER_CHARGING );
	this->Add( RIGHT, 80.0f, 160, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( RIGHT, 100.0f, 160, SMECHER_FIGHTER_WEAK );
	this->Add( RIGHT, 120.0f, 160, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 60.0f, 160, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 80.0f, 160, SMECHER_FIGHTER_WEAK );
	this->Add( LEFT, 100.0f, 160, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( LEFT, 120.0f, 160, MEISS_FIGHTER_CHARGING );
	
	this->Add( RIGHT, 90.0f, 256, MEISS_FIGHTER_BOSS );
}

StatueOfLibertySpawnRegistry::~StatueOfLibertySpawnRegistry() {
}
