#ifndef TESTSSPRITEPOOL_H
#define TESTSSPRITEPOOL_H

#include "../core/core.h"

/*
	A tests sprite pool which exposes the inner array of sprites in the pool
*/
class TestsSpritePool : public PrioritizingSpritePool {

	public:
	
	TestsSpritePool( 
		Console* console,
		u8 capacity
		);
		
	virtual ~TestsSpritePool();
	
	OAMSprite** GetSpritesArray();
};

#endif
