#include "ChargingActorFactory.h"

	
ChargingActorFactory::ChargingActorFactory( 
	Console* console
	) {
	
	m_console = console;
}

ChargingActorFactory::~ChargingActorFactory() {
}
	
ChargingActor* ChargingActorFactory::Create( 
	Animator* animator
	) {

	return new ChargingActor( 
		m_console,
		animator
		);
}
