#ifndef __CHARGING_ACTOR_FACTORY_H
#define __CHARGING_ACTOR_FACTORY_H

#include <nds.h>
#include "../core/core.h"
#include "../animators/animators.h"
#include "ActorTypes.h"
#include "ChargingActor.h"

/*
	Makes Actors who charge
*/
class ChargingActorFactory {
	
	private:

	Console* m_console;
	
	public:
	
	ChargingActorFactory( 
		Console* console
		);
		
	virtual ~ChargingActorFactory();
	
	ChargingActor* Create( 
		Animator* animator
		);
};

#endif