#ifndef __HITRECOVERING_ACTOR_FACTORY_H
#define __HITRECOVERING_ACTOR_FACTORY_H

#include <nds.h>
#include "../core/core.h"
#include "../animators/animators.h"
#include "ActorTypes.h"
#include "SingleActionActor.h"
#include "SingleActionActorFactory.h"

/*
	Makes Actors who fall down
*/
class HitRecoveringActorFactory {
	
	private:

	Console* m_console;
	SingleActionActorFactory* m_singleActionActorFactory;
	
	public:
	
	HitRecoveringActorFactory( 
		Console* console,
		SingleActionActorFactory* singleActionActorFactory
		);
	virtual ~HitRecoveringActorFactory();
	
	SingleActionActor* Create( 
		Animator* animator
		);
};

#endif