#include "UninterruptibleSingleActionActor.h"

UninterruptibleSingleActionActor::UninterruptibleSingleActionActor( 
	CoreUtils* coreUtils,
	Console* console,
	Animator* animator,
	u8 phase,
	u8 alternatePhase
	) : SingleActionActor (
		coreUtils,
		console,
		animator,
		phase,
		alternatePhase
	) {
}

UninterruptibleSingleActionActor::~UninterruptibleSingleActionActor() {
}

bool UninterruptibleSingleActionActor::IsInterruptibleByOther() {
	return !m_isActive;
}
