#include "CircusParkBuildings.h"
#include "data/cp2.h"

CircusParkBuildings::CircusParkBuildings( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)cp2Map );
	Initialize(
		(u32*) cp2SharedTiles,
		sizeof( cp2SharedTiles ),
		(u16*) cp2SharedPal,
		sizeof( cp2SharedPal )
		);
}

CircusParkBuildings::~CircusParkBuildings() {
}