#include "CoreStage.h"
#include "data/core.h"

CoreStage::CoreStage( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)coreMap );
	Initialize(
		(u32*) coreSharedTiles,
		sizeof( coreSharedTiles ),
		(u16*) coreSharedPal,
		sizeof( coreSharedPal )
		);
}

CoreStage::~CoreStage() {
}