#include "MainMenuBackground.h"
#include "data/mainmenu.h"

MainMenuBackground::MainMenuBackground( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)mainmenuMap );
	Initialize(
		(u32*) mainmenuSharedTiles,
		sizeof( mainmenuSharedTiles ),
		(u16*) mainmenuSharedPal,
		sizeof( mainmenuSharedPal )
		);
}

MainMenuBackground::~MainMenuBackground() {
}