#include "TempleOfHeaven.h"
#include "data/temple.h"

TempleOfHeaven::TempleOfHeaven( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)templeMap );
	Initialize(
		(u32*) templeSharedTiles,
		sizeof( templeSharedTiles ),
		(u16*) templeSharedPal,
		sizeof( templeSharedPal )
		);
}

TempleOfHeaven::~TempleOfHeaven() {
}