#include "UsaBoss.h"
#include "data/americaboss.h"

UsaBoss::UsaBoss( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)americabossMap );
	Initialize(
		(u32*) americabossSharedTiles,
		sizeof( americabossSharedTiles ),
		(u16*) americabossSharedPal,
		sizeof( americabossSharedPal )
		);
}

UsaBoss::~UsaBoss() {
}