#include "WindsorStage.h"
#include "data/windsor.h"

WindsorStage::WindsorStage( 
	Console* console,
	FuncBool* canScroll	
	)
	: StageBackground( console, 1, canScroll ) {

	InitializeChunk( 0, (u16*)windsorMap );
	Initialize(
		(u32*) windsorSharedTiles,
		sizeof( windsorSharedTiles ),
		(u16*) windsorSharedPal,
		sizeof( windsorSharedPal )
		);
}

WindsorStage::~WindsorStage() {
}