#ifndef CHINA_CONTROLLER_H
#define CHINA_CONTROLLER_H

#include "Controller.h"
#include "soundbank.h"

/*
	China chunk
	
	- (transition) People's Park intro
	- (game level) People's Park
	- (transition) Temple of Heaven intro
	- (game level) Temple of Heaven
	- (transition) Chinese boss confession
*/
class ChinaController : public Controller {

	public:
	ChinaController(
		AudioPlayer* audioPlayer,
		LevelFactory* levelFactory,
		FrameRunnerResult initialConditions
		);
	virtual ~ChinaController();
	
	FrameRunnerResult Run();
};

#endif
