#ifndef ROMANIA_CONTROLLER_H
#define ROMANIA_CONTROLLER_H

#include "Controller.h"
#include "soundbank.h"

/*
	Romania chunk
	
	- (transition) Circus Park - Buildings intro
	- (game level) Circus Park - Buildings
	- (transition) Circus Park - Circus intro
	- (game level) Circus Park - Circus
	- (transition) People's House intro
	- (game level) People's House
	- (transition) Romanian boss confession
*/
class RomaniaController : public Controller {

	public:
	RomaniaController(
		AudioPlayer* audioPlayer,
		LevelFactory* levelFactory,
		FrameRunnerResult initialConditions
		);
	virtual ~RomaniaController();
	
	FrameRunnerResult Run();
};

#endif
