#ifndef __MAINSCREENOAMSPRITE_H
#define __MAINSCREENOAMSPRITE_H

#include <nds.h>
#include "Console.h"
#include "SpritePool.h"

/*
	An OAMSprite which will be rendered on the main screen.
*/
class MainScreenOAMSprite : public OAMSprite {

	private:
	
	u8* m_paletteData;
	
	void SetPalette( u8 OAMPaletteIndex );
	
	protected:
		
	public:
	
	MainScreenOAMSprite( 
		u8 OAMSpriteIndex, 
		u8* graphicsData, 
		u16 spriteSheetWidthInPixels,
		SpritePool* spritePool,
		Console* console,
		u8* paletteData
		);
	
	virtual ~MainScreenOAMSprite();
	
	void SetOAMSpriteIndex( 
		u8 oamSpriteIndex,
		bool forceOffScreen
		);
}; 

#endif