#ifndef __DRIVER_H
#define __DRIVER_H

#include "../actors/actors.h"
#include "../characters/characters.h"
#include "../overlays/overlays.h"

/*
	An entity that can drive actors
*/
class Driver {
	
	protected:
	
	CoreUtils* m_coreUtils;
	Console* m_console;
	Character* m_character;
	Impact* m_impact;
	
	public:
	
	Driver(
		CoreUtils* coreUtils,
		Console* console,
		Character* character,
		Impact* impact
		);

	virtual ~Driver();
	
	virtual void Decision() = 0;
};

#endif