#ifndef __GAUGE__H
#define __GAUGE__H

#include "../core/core.h"

/*
	Used to render life bars, etc.
*/
class Gauge {

	protected:
	
	s16 m_value;
	Coords_F m_position;

	public:
	
	Gauge( 
		Coords_F position
		);
	virtual ~Gauge();
	
	virtual void SetValue( 
		s16 current,
		s16 outOf
		);

	virtual void Hide();
	virtual void Render();
};

#endif