#ifndef __GAUGE_FACTORY_H
#define __GAUGE_FACTORY_H

#include "../core/core.h"
#include "Gauge.h"
#include "SimpleGauge.h"
#include "ReversedGauge.h"

/*
	Makes gauges
*/
class GaugeFactory {
	
	private:
	
	SpriteManager* m_spriteManager;
	
	public:
	
	GaugeFactory(
		SpriteManager* spriteManager
		);
	virtual ~GaugeFactory();
	
	Gauge* Create( float yPosition );
	Gauge* CreateReversed( float yPosition );
};

#endif