#ifndef __MUG_SHOT_H
#define __MUG_SHOT_H

#include <nds.h>
#include "../core/core.h"
#include "../characters/characters.h"

/*
	Displays character mug shots
*/
class MugShot {

	private:
	
	OAMSprite* m_sprite;
	
	public:
	
	MugShot( 
		Coords_F position,
		SpriteManager* spriteManager
		);
	virtual ~MugShot();
	
	void SetType( 
		CharacterTypes type
		);
	void Hide();

	void Render();
};

#endif