#ifndef __MUGSHOT_FACTORY_H
#define __MUGSHOT_FACTORY_H

#include <nds.h>
#include "../core/core.h"
#include "MugShot.h"

/*
	Makes mug shots
*/
class MugShotFactory {
	
	private:

	SpriteManager* m_spriteManager;
	
	public:
	
	MugShotFactory(
		SpriteManager* spriteManager
		);
	virtual ~MugShotFactory();
	
	MugShot* Create( 
		Coords_F position
		);
};

#endif