#ifndef __GO_H
#define __GO_H

#include <goAnimation.h>
#include "../core/core.h"
#include "../animators/animators.h"
#include "../framedescriptors/framedescriptors.h"

/*
	Displays an arrow, prompting player to advance
*/
class Go {

	private:
	
	Animator* m_animator;
		
	public:
	
	Go( 
		Console* console,
		SpriteManager* spriteManager,
		AnimatorFactory* animatorFactory
		);
	virtual ~Go();
	
	void Show();
	void Hide();	
	void Render();
};

#endif