#include "CutitarSoundboard.h"
#include "soundbank.h"

CutitarSoundboard::CutitarSoundboard( 
	CoreUtils* coreUtils,
	SoundHolder* soundHolder
	) : Soundboard( coreUtils, soundHolder ) 
	{
	
	m_hitLand[ 0 ] = m_soundHolder->GetKnifeHit1();
	m_hitLand[ 1 ] = m_soundHolder->GetKnifeHit2();
}

CutitarSoundboard::~CutitarSoundboard() {
}

void CutitarSoundboard::SingleHitLanded() {
	PlayOne( &m_hitLand[ 0 ], NUM_HITLAND );
}

void CutitarSoundboard::WasThrownDown() {
	PlayWithChance( m_soundHolder->GetThrown5(), 800 );
}

void CutitarSoundboard::StartCharging() {
	m_soundHolder->GetCharge2()->Play();
}