#include "MeissSoundboard.h"
#include "soundbank.h"

MeissSoundboard::MeissSoundboard( 
	CoreUtils* coreUtils,
	SoundHolder* soundHolder
	) : Soundboard( coreUtils, soundHolder ) 
	{
}

MeissSoundboard::~MeissSoundboard() {
}

void MeissSoundboard::StartSingleHit() {
	m_soundHolder->GetStartSingleMeiss()->Play();
}

void MeissSoundboard::SingleHitLanded() {
	m_soundHolder->GetHitLand4()->Play();
}

void MeissSoundboard::WasThrownDown() {
	PlayWithChance( m_soundHolder->GetThrown2(), 700 );
}

void MeissSoundboard::StartCharging() {
	m_soundHolder->GetCharge1()->Play();
}