#include "SmecherSoundboard.h"
#include "soundbank.h"

SmecherSoundboard::SmecherSoundboard( 
	CoreUtils* coreUtils,
	SoundHolder* soundHolder
	) : Soundboard( coreUtils, soundHolder ) 
	{
	
	m_hitLand[ 0 ] = m_soundHolder->GetHitLand1();
	m_hitLand[ 1 ] = m_soundHolder->GetHitLand3();
}

SmecherSoundboard::~SmecherSoundboard() {
}

void SmecherSoundboard::SingleHitLanded() {
	PlayOne( &m_hitLand[ 0 ], NUM_HITLAND );
}

void SmecherSoundboard::WasThrownDown() {
	PlayWithChance( m_soundHolder->GetThrown3(), 600 );
}
