#include "CircusParkBuildingsSpawnRegistry.h"

CircusParkBuildingsSpawnRegistry::CircusParkBuildingsSpawnRegistry(
	Console* console
	) : SpawnRegistry( console, 10 ) {
	
	this->Add( RIGHT, 60.0f, 10, SMECHER_FIGHTER_WEAK_FLANKING );
	
	this->Add( RIGHT, 60.0f, 70, SMECHER_FIGHTER_WEAK );
	this->Add( RIGHT, 120.0f, 70, SMECHER_FIGHTER_WEAK_FLANKING );
	
	this->Add( LEFT, 60.0f, 120, SMECHER_FIGHTER_WEAK );
	this->Add( LEFT, 120.0f, 120, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 60.0f, 120, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 120.0f, 120, SMECHER_FIGHTER_WEAK );
	
	this->Add( RIGHT, 60.0f, 180, SMECHER_FIGHTER_WEAK );
	this->Add( RIGHT, 90.0f, 180, SMECHER_FIGHTER_STRONG );
	this->Add( RIGHT, 120.0f, 180, SMECHER_FIGHTER_WEAK );
}

CircusParkBuildingsSpawnRegistry::~CircusParkBuildingsSpawnRegistry() {
}
