#include "CoreSpawnRegistry.h"

CoreSpawnRegistry::CoreSpawnRegistry(
	Console* console
	) : SpawnRegistry( console, 20 ) {
	
	this->Add( LEFT, 60.0f, 50, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 80.0f, 50, SMECHER_FIGHTER_WEAK );
	this->Add( LEFT, 100.0f, 50, SMECHER_FIGHTER_STRONG );
	this->Add( LEFT, 120.0f, 50, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 140.0f, 50, SMECHER_FIGHTER_STRONG );
	this->Add( LEFT, 50.0f, 50, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( RIGHT, 60.0f, 50, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 80.0f, 50, SMECHER_FIGHTER_STRONG );
	this->Add( RIGHT, 100.0f, 50, SMECHER_FIGHTER_WEAK );
	this->Add( RIGHT, 120.0f, 50, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 140.0f, 50, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( RIGHT, 50.0f, 50, SMECHER_FIGHTER_STRONG );
	
	this->Add( RIGHT, 60.0f, 80, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 80.0f, 80, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 100.0f, 80, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 120.0f, 80, MEISS_FIGHTER_NONCHARGING );
	
	this->Add( LEFT, 60.0f, 190, MASCAT_FIGHTER_BOSS );
	this->Add( LEFT, 50.0f, 190, MASCAT_FIGHTER_BOSS );
	this->Add( RIGHT, 60.0f, 190, MASCAT_FIGHTER_BOSS );
	this->Add( RIGHT, 50.0f, 190, MASCAT_FIGHTER_BOSS );
}

CoreSpawnRegistry::~CoreSpawnRegistry() {
}
