#include "PeoplesHouseSpawnRegistry.h"

PeoplesHouseSpawnRegistry::PeoplesHouseSpawnRegistry(
	Console* console
	) : SpawnRegistry( console, 14 ) {
	
	this->Add( RIGHT, 60.0f, 30, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( RIGHT, 100.0f, 30, SMECHER_FIGHTER_WEAK );
	this->Add( RIGHT, 160.0f, 30, SMECHER_FIGHTER_STRONG_FLANKING );
	
	this->Add( LEFT, 60.0f, 100, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 80.0f, 100, SMECHER_FIGHTER_WEAK );
	this->Add( LEFT, 100.0f, 100, SMECHER_FIGHTER_STRONG );
	this->Add( LEFT, 120.0f, 100, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 140.0f, 100, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( RIGHT, 60.0f, 100, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 80.0f, 100, SMECHER_FIGHTER_STRONG );
	this->Add( RIGHT, 100.0f, 100, SMECHER_FIGHTER_WEAK );
	this->Add( RIGHT, 120.0f, 100, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( RIGHT, 140.0f, 100, SMECHER_FIGHTER_WEAK_FLANKING );
	
	this->Add( RIGHT, 140.0f, 256, SMECHER_FIGHTER_BOSS );
}

PeoplesHouseSpawnRegistry::~PeoplesHouseSpawnRegistry() {
}
