#include "PeoplesParkSpawnRegistry.h"

PeoplesParkSpawnRegistry::PeoplesParkSpawnRegistry(
	Console* console
	) : SpawnRegistry( console, 17 ) {
	
	this->Add( RIGHT, 60.0f, 30, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 70.0f, 30, MEISS_FIGHTER_CHARGING );
	this->Add( LEFT, 80.0f, 30, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( LEFT, 90.0f, 30, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( LEFT, 100.0f, 30, SMECHER_FIGHTER_WEAK_FLANKING );
	this->Add( RIGHT, 110.0f, 30, MEISS_FIGHTER_CHARGING );
	this->Add( RIGHT, 120.0f, 30, MEISS_FIGHTER_NONCHARGING );
	
	this->Add( RIGHT, 90.0f, 90, CUTITAR_FIGHTER );
	this->Add( LEFT, 90.0f, 90, CUTITAR_FIGHTER );

	this->Add( RIGHT, 120.0f, 150, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 80.0f, 150, MEISS_FIGHTER_NONCHARGING );
	this->Add( RIGHT, 100.0f, 150, MEISS_FIGHTER_NONCHARGING );
	this->Add( LEFT, 80.0f, 150, MEISS_FIGHTER_NONCHARGING );
	this->Add( LEFT, 100.0f, 150, MEISS_FIGHTER_NONCHARGING );	
	this->Add( LEFT, 60.0f, 150, SMECHER_FIGHTER_STRONG );
	this->Add( LEFT, 120.0f, 150, CUTITAR_FIGHTER );
	
	this->Add( RIGHT, 80.0f, 250, SMECHER_FIGHTER_WEAK );
}

PeoplesParkSpawnRegistry::~PeoplesParkSpawnRegistry() {
}
