#include "WindsorSpawnRegistry.h"

WindsorSpawnRegistry::WindsorSpawnRegistry(
	Console* console
	) : SpawnRegistry( console, 20 ) {
	
	this->Add( RIGHT, 60.0f, 40, SMECHER_FIGHTER_STRONG );
	this->Add( RIGHT, 80.0f, 40, MASCAT_FIGHTER_STRONG_CHARGING );
	this->Add( RIGHT, 100.0f, 40, MASCAT_FIGHTER_STRONG_CHARGING );
	this->Add( RIGHT, 120.0f, 40, SMECHER_FIGHTER_STRONG );
	
	this->Add( LEFT, 60.0f, 120, MEISS_FIGHTER_CHARGING );
	this->Add( LEFT, 80.0f, 120, SMECHER_FIGHTER_STRONG );
	this->Add( LEFT, 90.0f, 120, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( LEFT, 100.0f, 120, SMECHER_FIGHTER_STRONG );
	this->Add( LEFT, 120.0f, 120, MASCAT_FIGHTER_STRONG_CHARGING );
	this->Add( RIGHT, 60.0f, 120, MASCAT_FIGHTER_STRONG_CHARGING );
	this->Add( RIGHT, 80.0f, 120, SMECHER_FIGHTER_STRONG );
	this->Add( RIGHT, 90.0f, 120, SMECHER_FIGHTER_STRONG_FLANKING );
	this->Add( RIGHT, 100.0f, 120, SMECHER_FIGHTER_STRONG );
	this->Add( RIGHT, 120.0f, 120, MEISS_FIGHTER_CHARGING );

	this->Add( LEFT, 80.0f, 200, MEISS_FIGHTER_CHARGING );
	this->Add( LEFT, 100.0f, 200, CUTITAR_FIGHTER );
	this->Add( LEFT, 120.0f, 200, MASCAT_FIGHTER_STRONG_CHARGING );
	this->Add( RIGHT, 80.0f, 200, MEISS_FIGHTER_CHARGING );
	this->Add( RIGHT, 100.0f, 200, CUTITAR_FIGHTER );
	this->Add( RIGHT, 120.0f, 200, MASCAT_FIGHTER_STRONG_CHARGING );
}

WindsorSpawnRegistry::~WindsorSpawnRegistry() {
}
