#include <stdio.h>
#include <stdarg.h>
#include "../core/Console.h"
#include "TestsConsole.h"


TestsConsole::TestsConsole( CoreUtils* coreUtils )
	: Console( coreUtils, true ) {
}

TestsConsole::~TestsConsole() {
}

void TestsConsole::Error( const char * format, ... ) {

	va_list arglist;
	va_start( arglist, format );
	viprintf( format, arglist );
	va_end( arglist );
	
	iprintf( "\n" );
	
	iprintf( "\n[TestsConsole::Error] - Error logged... halting" );
	
	while( 1 ) { }
}

void TestsConsole::Debug( const char * format, ... ) {
	
	// pass through variable arguments list to a STDIO function
	va_list arglist;
	va_start( arglist, format );
	viprintf( format, arglist );
	va_end( arglist );
	
	iprintf( "\n" );
}